JTS Topology Suite version 1.13

## com.vividsolutions.jts.util.objectgraph
Class ClassInstanceCounter

    java.lang.Object
      com.vividsolutions.jts.util.objectgraph.ClassInstanceCounter

All Implemented Interfaces:
  ObjectVisitor

    public class ClassInstanceCounter

extends java.lang.Object
implements ObjectVisitor

Constructor Summary
`ClassInstanceCounter(java.lang.Class cls)`

Method Summary
`int` `getCount()`
`void` `visit(java.lang.Object o)`
`void` `visitArray(java.lang.Object o)`
`void` `visitArrayEnd(java.lang.Object o)`
`void` `visitEnd(java.lang.Object o)`
`void` `visitField(java.lang.reflect.Field field, java.lang.Object o)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClassInstanceCounter

    public ClassInstanceCounter(java.lang.Class cls)

Method Detail

### getCount

    public int getCount()

### visit

    public void visit(java.lang.Object o)

  Specified by:
    `visit` in interface `ObjectVisitor`

### visitEnd

    public void visitEnd(java.lang.Object o)

  Specified by:
    `visitEnd` in interface `ObjectVisitor`

### visitField

    public void visitField(java.lang.reflect.Field field,
                           java.lang.Object o)

  Specified by:
    `visitField` in interface `ObjectVisitor`

### visitArray

    public void visitArray(java.lang.Object o)

  Specified by:
    `visitArray` in interface `ObjectVisitor`

### visitArrayEnd

    public void visitArrayEnd(java.lang.Object o)

  Specified by:
    `visitArrayEnd` in interface `ObjectVisitor`

JTS Topology Suite version 1.13